> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update approval by ID

> Update approval by ID



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml post /rpc/update-approval
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /rpc/update-approval:
    post:
      tags:
        - approvals
      summary: Update approval by ID
      description: Update approval by ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.UpdateApprovalReq'
        description: The update approval request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.Approval'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.UpdateApprovalReq:
      properties:
        approvalId:
          type: string
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.SelectedApprover'
          type: array
        policyId:
          type: string
      required:
        - approvalId
        - approvers
        - policyId
      type: object
    guardrails.Approval:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        bundleId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        stageApprovalId:
          type: string
        status:
          $ref: '#/components/schemas/guardrails.ApprovalStatus'
        taskId:
          type: string
        updatedAt:
          type: string
        updatedBy:
          type: object
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.SelectedApprover:
      properties:
        fromOrganizationUserId:
          type: string
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.Approver:
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
      required:
        - editable
        - id
        - name
        - showByDefault
      type: object
    guardrails.ApprovalStatus:
      enum:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
      type: string
      x-enum-varnames:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved

````